package ab.issue.db.model;

import android.arch.persistence.room.Embedded;

import ab.issue.model.Barcode;
import ab.issue.model.values.PhoneBarcodeFormat;

public class PhoneBarcode extends BarcodeFormatValueWrapper<PhoneBarcodeFormat> {

    @Embedded
    public Barcode barcode;

    @Embedded
    public PhoneBarcodeFormat phoneBarcodeFormat;

    @Override
    protected Barcode getBarcode() {
        return barcode;
    }

    @Override
    protected PhoneBarcodeFormat getFormatValue() {
        return phoneBarcodeFormat;
    }
}
